import { createRouter, createWebHistory } from 'vue-router';
// 公共
import common from './module/common';
// 管理员
import admin from './module/admin';
// 个人用户
import users from './module/users';
// 企业用户
import unit from './module/unit';
import store from '@/stores/counter';
import axios from 'axios';
const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    // 公共
    ...common,
    {
      path: '/',
      redirect: '/homeIndex',
    },
    {
      path: '/homeIndex',
      meta: { title: '基础研究动态管理平台', is_filter: true },
      component: () => import('@common/src/components/studio-one-green/home.vue'),
      children: [
        {
          path: '/homeIndex',
          meta: { title: '基础研究动态管理平台', is_filter: true },
          component: () => import('@/views/home/index.vue'),
        },
        ...admin,
        ...users,
        ...unit,
      ],
    },
  ],
});
router.beforeEach(async (to, from, next) => {
  document.title = `${to.meta.title} `;
  const token = localStorage.getItem('token');
  if (token) {
    const res = await axios.request({
      method: 'get',
      url: '/jcyjdtglpt/v1/api/token/tokenView',
      responseType: 'json',
      headers: {
        token: token,
      },
    });
    if (res.data.errcode == '0') {
      store.commit('setUser', res.data.data, { root: true });
    }
    next();
  } else {
    window.alert('无登录信息，无法打开');
  }
});
export default router;
